Subject: [Isis-wg] FW: Question for HMAC-MD5 authentication

From: May Lu <[email-masked]>
Date: Thu, 6 Jun 2002 09:16:18 -0500

Hi Tony,

I had a question about the HMAC-MD5. I sent a mail to the isis working group
yesterday but I did not see this mail be distributed. So I am try again.

Thanks in advance for your help.
Xiaomei

>  -----Original Message-----
> From: 	May Lu  
> Sent:	Wednesday, June 05, 2002 3:11 PM
> To:	[email-masked]'
> Subject:	Question for HMAC-MD5 authentication
> 
> In draft-ietf-isis-hmac-03.txt, the "Authentication Procedures" talked
> about how to calculate the authentication value. I need to conform the
> HMAC-MD5 validation. Here is what I though (authentication validation part
> only):
> 
> When validate incoming LSP with HMAC-MD5 authentication TLV, the Checksum,
> Remaining Lifetime fields and the 16 bytes Authentication Value field in
> the authentication information tlv in the LSP are zeroed out first. The
> HMAC-MD5 algorithm takes a key and the modified LSP (length not modified)
> as input. The 16 byte result of the HMAC-MD5 algorithm is then compared
> with the original incoming authentication value. If all 16 bytes match,
> the authentication passed.
> 
> Is this the right procedure?
> 
> Thanks for your help.
> Xiaomei
> 
> 
> 

----------------------------------------- (on Chiaro SMTP Relay)

This e-mail and any files transmitted with it are the property
of Chiaro Networks, Ltd., and may contain confidential and 
privileged material for the sole use of the intended recipient(s)
to whom this e-mail is addressed. If you are not one of the named
recipient(s), or otherwise have reason to believe that you have 
received this message in error, please notify the sender and 
delete all copies from your system.  Any other use, retention, 
dissemination, forwarding, printing or copying of this e-mail is 
strictly prohibited.

---------------------------------------------------------

---

From: Tony Li <[email-masked]>
Date: Thu, 6 Jun 2002 10:14:49 -0700

Hi May,

 | I had a question about the HMAC-MD5. I sent a mail to the isis working group
 | yesterday but I did not see this mail be distributed. So I am try again.

The mailing list will not redistribute your mail unless it recognizes you
as a member of the mailing list.

 | > When validate incoming LSP with HMAC-MD5 authentication TLV, the Checksum,
 | > Remaining Lifetime fields and the 16 bytes Authentication Value field in
 | > the authentication information tlv in the LSP are zeroed out first. The
 | > HMAC-MD5 algorithm takes a key and the modified LSP (length not modified)
 | > as input. The 16 byte result of the HMAC-MD5 algorithm is then compared
 | > with the original incoming authentication value. If all 16 bytes match,
 | > the authentication passed.
 | > 
 | > Is this the right procedure?

Yup, sounds perfect.

Tony
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://spider.juniper.net/mailman/listinfo/isis-wg